Bug 211727 - Installer will not ignore disk it doesn't understand
Installer will not ignore disk it doesn't understand
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-21 07:55 EDT by Phil
Modified: 2007-11-16 20:14 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-16 16:25:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil 2006-10-21 07:55:59 EDT
We need to repeatably reinstall on systems whilst leaving an attached disk or
disks unmodified. The kickstart file we use includes:

clearpart --drives=sda --all --initlabel
part /boot --fstype ext3 --size=512 --ondisk=sda
part pv.1 --size=0 --grow --ondisk=sda
volgroup vg0 --pesize=32768 pv.1
logvol / --fstype ext3 --name=root --vgname=vg0 --size=15360
logvol swap --fstype swap --name=swap --vgname=vg0 --size=8192

and in general this works.  However, if anaconda doesn't understand the other
disk (eg. it has a GPT label, or it's a raw LVM pv), it aborts, even though it's
not supposed to touch that disk at all.

Additionally, in the case of sdb with a GPT label and an LVM vg (name vg1), an
interactive install offers the choices of 'ignore' and 'format'.  Choosing
ignore results in the following unhandled exception:
  SystemError: pvcreate failed for <fsset.PartitionDevice instance at ...>
from anaconda/fsset.py line 1996 in setupDevice.

To reproduce:
1. Kickstart a non-interactive install on a two disk system using only the first
disk as above
2. Manually populate the second disk with eg. GPT label and data
3. Retry the install, which will fail.

Desired behaviour:
Silently ignore the disks which aren't required for the install.
Comment 1 Red Hat Bugzilla 2007-06-11 23:20:29 EDT
requested by Jams Antill
Comment 2 Steve 2007-07-09 18:02:14 EDT
Hi, 

I came across this bug, when searching BZ for something similar. I noticed that
this can be fixed with the undocumented "ignoredisk --drives=<disk>,<...>" option. 

Although this option didn't work too well with the 'clearpart' directive (bug
#186438), it is fixed now in RHEL4 U5

regards,
- steve
Comment 3 Jeremy Katz 2007-07-16 16:25:26 EDT
Yes, ignoredisk is the answer (it's undocumented as it was added in a RHEL4 update)

Note You need to log in before you can comment on or make changes to this bug.